.NET 2.0 and IceBox

kovacmkovacm Member Michal KovacOrganization: Charles University in PragueProject: Ferda Data Mining ✭✭
Hi

I know, that you do not support .NET 2.0, but I don't know why, because I use Ice with C# 2.0 for long time and I didn't find any .NET 2.0 specific problem till now. I've find there one "problem" with IceBox. When you have on computer installed .NET Framework 2.0 only, there is no problem. When you have installed both .NET 1.1 and .NET 2.0 on computer and you have IceBox service written for .NET 2.0, there is problem, that iceboxnet will be executed with .NET 1.1 and will have problems to load .NET 2.0 libraries (your services). The way how to how to go around is to compile iceboxnet with .NET 2.0 (because than it will not be possible to execute iceboxnet on .NET 1.1). Please, can you create next version of Ice also with IceBoxNet compiled in .NET 2.0?

Thank you

Comments

  • michimichi Member Michi HenningOrganization: Triodia TechnologiesProject: I have a passing interest in Ice :-) ✭✭✭
    The only reason you were able to compile Ice with .NET 2.0 is that you linked it against .NET 1.1.

    Unfortunately, the current code does not compile with .NET 2.0 because Microsoft have added the Capacity property to CollectionBase :mad: This conflicts with the code that is generated by slice2cs for sequences. The next major release of Ice will provide some way to target the generated code for either .NET 1.1 or .NET 2.0.

    For IceBox, I'm not surprised that you are getting conflicts. I suspect that it will be impossible to have a single IceBox that can support both .NET 1.1 and .NET 2.0 services concurrently. We'll look into this for the next release.

    Cheers,

    Michi.
Sign In or Register to comment.